Summary: X based presentation software.
%define version 1.06a
Name: mgp
Version: %{version}
Release: 1
Copyright: GPL
Group: Applications/Productivity
URL: http://www.mew.org/mgp
Source: magicpoint-1.06a.tar.gz
BuildRoot: /var/tmp/mgp-root

%description
MagicPoint is an X11 based presentation tool.  MagicPoint's
presentation files (typically .mgp files) are plain text so you can
create presentation files quickly with your favorite editor.

%prep
%setup -q -n magicpoint-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr/X11R6 
xmkmf -a
make

%install
rm -rf $RPM_BUILD_ROOT
make install install.man DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README SYNTAX USAGE 
%doc sample
/usr/X11R6/bin/mgp
/usr/X11R6/bin/mgp2ps
/usr/X11R6/bin/mgpembed
/usr/X11R6/bin/mgpnet
/usr/X11R6/bin/xwintoppm
/usr/X11R6/lib/X11/mgp/default.mgp
/usr/X11R6/lib/X11/mgp/mgp1.gif
/usr/X11R6/lib/X11/mgp/mgp2.gif
/usr/X11R6/lib/X11/mgp/mgp3.gif
%dir /usr/X11R6/lib/X11/mgp
/usr/X11R6/man/man1/mgp.1x
/usr/X11R6/man/man1/mgp2ps.1x
/usr/X11R6/man/man1/mgpembed.1x
/usr/X11R6/man/man1/mgpnet.1x
/usr/X11R6/man/man1/xwintoppm.1x

%changelog
* Mon Jul 19 1999 Tim Powers <timp@redhat.com>
- updated source to 1.05a 
- built for 6.1

* Thu Apr 15 1999 Michael Maher <mike@redhat.com>
- built package for 6.0

* Fri Oct 08 1998 Michael Maher <mike@redhat.com> 
- updated source to 1.04a
- built for 5.2

* Fri May 22 1998 Cristian Gafton <gafton@redhat.com>
- built for PowerTools
